棚卸在庫一覧取得
GET
/stocktaking/{stocktaking_info_id}/details/{base_date}
const url = 'https://api.smaregi.dev/TARGET-CONTRACT-ID/pos/stocktaking/4/details/2025-02-01?fields=stocktakingInfoId%2CproductId&sort=productId&limit=10&page=2&product_id=8000001&category_id=8000001';const options = {method: 'GET'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url 'https://api.smaregi.dev/TARGET-CONTRACT-ID/pos/stocktaking/4/details/2025-02-01?fields=stocktakingInfoId%2CproductId&sort=productId&limit=10&page=2&product_id=8000001&category_id=8000001'棚卸在庫一覧を取得します。
棚卸在庫一覧とは、指定した棚卸の棚卸在庫数をもとに、指定日時点の在庫数量の計算結果を取得する機能です。
対象プラン
- リテールビジネス
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”stocktaking_info_id
required
string
棚卸情報ID
Example
4base_date
required
string
基準日(YYYY-MM-DD)
Example
2025-02-01Query Parameters
Section titled “Query Parameters”fields
array
検索パラメータ(カンマ区切りで指定可)
Response項目を指定可能
※一部項目(withで指定する項目、2階層目以降の項目)については指定不可
Example
stocktakingInfoId,productIdsort
string
並び順(カンマ区切りで指定可)
指定可能なパラメータ
- productId:商品ID:棚卸対象の商品IDを設定。
- categoryId:部門ID:棚卸対象の商品の部門IDを設定。
Example
productIdlimit
integer
上限数
Example
10page
integer
ページ
Example
2product_id
string
商品ID
Example
8000001category_id
string
部門ID
Example
8000001Responses
Section titled “Responses”取得成功
Media typeapplication/json
Array<object>
object
stocktakingInfoId
棚卸情報ID
string
productId
商品ID
string
categoryId
部門ID:現在の商品マスタの部門ID
string
stockQuantity
在庫数:基準日時点の在庫数。
string
stockMoney
在庫金額:基準日時点の在庫金額。
string
transportationQuantity
積送在庫数:基準日時点の積送在庫数。
string
transportationMoney
積送在庫金額:基準日時点の積送在庫金額。
string
layawayQuantity
取置在庫数:基準日時点の取置在庫数。
string
layawayMoney
取置在庫金額:基準日時点の取置在庫金額。
string
storeId
店舗ID:棚卸を行った店舗ID。
string
Example
[ { "stocktakingInfoId": "4", "productId": "8000001", "categoryId": "8000001", "stockQuantity": "3", "stockMoney": "300.00000", "transportationQuantity": "2", "transportationMoney": "200.00000", "layawayQuantity": "1", "layawayMoney": "100.00000", "storeId": "1" }]